<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Member List</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d6/d44/classThread_1_1KeyManager.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Thread::KeyManager Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#afe262bf20500517935f58158fb7e2fae">GetCurrentKeySequence</a>(void) const </td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a58f3915761d729578c389313a70a4bf1">GetCurrentMacKey</a>(void) const </td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a569ad9589f0250e965158b5059d6fb2e">GetCurrentMleKey</a>(void) const </td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a1906bf33568d5a8e5ba3259c7b49b076">GetKek</a>(void) const </td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a1363794ef5352bd418a31a5755867305">GetKekFrameCounter</a>(void) const </td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a65367ddff0d5f5eeabf06480e580428b">GetKeyRotation</a>(void) const </td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#afb96c4a16449ae988266ef5edc914a2a">GetKeySwitchGuardTime</a>(void) const </td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a2d4b7af34425fea448d7d65a3ae18d59">GetMacFrameCounter</a>(void) const </td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#ae5b15c034edb118f46e01364aca37ee9">GetMasterKey</a>(uint8_t *aKeyLength) const </td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a9e2b4af61a761c465c99131bc8d51e8b">GetMleFrameCounter</a>(void) const </td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a400b67e13a99d9a97f44f79934d8aad2">GetTemporaryMacKey</a>(uint32_t aKeySequence)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a7b1ec4e3b9d59c081750d224d4ec16fd">GetTemporaryMleKey</a>(uint32_t aKeySequence)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a092046bf6c7c7e6198354800690e8f99">IncrementKekFrameCounter</a>(void)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#aba0b008037dd3a8b077d8c9d1d83afdd">IncrementMacFrameCounter</a>(void)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a23fe8aa989147e34c72ec7f6864e4f8f">IncrementMleFrameCounter</a>(void)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a1215169c0c6c43389292e47f08d7b470">KeyManager</a>(ThreadNetif &amp;aThreadNetif)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a1c2cda0961979d7655a5311f29de57c7">SetCurrentKeySequence</a>(uint32_t aKeySequence)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a728372cc0fe32315d26347e3cfae09d1">SetKek</a>(const uint8_t *aKek)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a950f8fcd206978cf239304c74a61368b">SetKeyRotation</a>(uint32_t aKeyRotation)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a4496f92db08ebeb42255c411a5cd2666">SetKeySwitchGuardTime</a>(uint32_t aKeySwitchGuardTime)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#ae6b063f932c8c721eab936a9de1e4eb1">SetMasterKey</a>(const void *aKey, uint8_t aKeyLength)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#aa4d5db0a3a8a22b915889c85154b674f">Start</a>(void)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html#a048243a0e7564e607510d2ed60c99b2e">Stop</a>(void)</td><td class="entry"><a class="el" href="../../d6/d44/classThread_1_1KeyManager.html">Thread::KeyManager</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
